Package Gnumed :: Package wxpython :: Module gmEditArea |
[frames] | no frames]

# Module gmEditArea

source code

Author: R.Terry, K.Hilbert

License: GPL

Classes
| cGenericEditAreaMixin Mixin for edit area panels providing generic functionality.
| cGenericEditAreaDlg2 Dialog for parenting edit area panels with save/clear/next/cancel
| cEditAreaPopup
| cEditArea2
| cEditAreaField
| cEditArea
| gmEditArea
| gmPastHistoryEditArea
| gmReferralEditArea
| gmPrescriptionEditArea
| cPrompt_edit_area
| gmPnlEditAreaPrompts
| EditTextBoxes
| EditArea

Variables
| edit_area_modes = ``[``'``new``'``,` `'``edit``'``,` `'``new_from_existing``'``]``
| gmSECTION_SUMMARY = `1`
| gmSECTION_DEMOGRAPHICS = `2`
| gmSECTION_CLINICALNOTES = `3`
| gmSECTION_FAMILYHISTORY = `4`
| gmSECTION_PASTHISTORY = `5`
| gmSECTION_SCRIPT = `8`
| gmSECTION_REQUESTS = `9`
| gmSECTION_REFERRALS = `11`
| gmSECTION_RECALLS = `12`
| richards_blue = `wx.Colour(0, 0, 131)`
| richards_aqua = `wx.Colour(0, 194, 197)`
| richards_dark_gray = `wx.Colour(131, 129, 131)`
| richards_light_gray = `wx.Colour(255, 255, 255)`
| richards_coloured_gray = `wx.Colour(131, 129, 131)`
| CONTROLS_WITHOUT_LABELS = ``[``'``wxTextCtrl``'``,` `'``cEditAreaField``'``,` `'``wx``...``
| __package__ = ``'``Gnumed.wxpython``'``

Imports: sys, logging, pydt, wx, gmDispatcher, wxgGenericEditAreaDlg2, gmGuiBroker

Variables Details

  ### CONTROLS_WITHOUT_LABELS Value:
      ['wxTextCtrl',
       'cEditAreaField',
       'wx.SpinCtrl',
       'gmPhraseWheel',
       'wx.ComboBox']